

drivers/video/tridentfb.c:1219: warning: `tridentfb_setup' declared `static' but never defined

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/video/tridentfb.c |   39 +++++++++++++++++---------------------
 1 files changed, 18 insertions(+), 21 deletions(-)

diff -puN drivers/video/tridentfb.c~tridentfb-warning-fix drivers/video/tridentfb.c
--- 25/drivers/video/tridentfb.c~tridentfb-warning-fix	2005-02-09 22:34:09.000000000 -0800
+++ 25-akpm/drivers/video/tridentfb.c	2005-02-09 22:34:33.000000000 -0800
@@ -1216,27 +1216,6 @@ static struct pci_driver tridentfb_pci_d
 	.remove		= __devexit_p(trident_pci_remove)
 };
 
-static int tridentfb_setup(char *options);
-
-static int __init tridentfb_init(void)
-{
-#ifndef MODULE
-	char *option = NULL;
-
-	if (fb_get_options("tridentfb", &option))
-		return -ENODEV;
-	tridentfb_setup(option);
-#endif
-	output("Trident framebuffer %s initializing\n", VERSION);
-	return pci_module_init(&tridentfb_pci_driver);
-}
-
-static void __exit tridentfb_exit(void)
-{
-	pci_unregister_driver(&tridentfb_pci_driver);
-}
-
-
 /*
  * Parse user specified options (`video=trident:')
  * example:
@@ -1275,6 +1254,24 @@ static int tridentfb_setup(char *options
 }
 #endif
 
+static int __init tridentfb_init(void)
+{
+#ifndef MODULE
+	char *option = NULL;
+
+	if (fb_get_options("tridentfb", &option))
+		return -ENODEV;
+	tridentfb_setup(option);
+#endif
+	output("Trident framebuffer %s initializing\n", VERSION);
+	return pci_module_init(&tridentfb_pci_driver);
+}
+
+static void __exit tridentfb_exit(void)
+{
+	pci_unregister_driver(&tridentfb_pci_driver);
+}
+
 static struct fb_ops tridentfb_ops = {
 	.owner	= THIS_MODULE,
 	.fb_setcolreg = tridentfb_setcolreg,
_
